package com.ss.android.message;

import X.AnonymousClass91K;
import X.C33848s3;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import com.bytedance.covode.number.Covode;

public class SelfPushMessageHandler extends Service {
    static {
        Covode.recordClassIndex(48636);
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public int onStartCommand(Intent intent, int i, int i2) {
        int onStartCommand = super.onStartCommand(intent, i, i2);
        AnonymousClass91K r0 = (AnonymousClass91K) C33848s3.LIZ(AnonymousClass91K.class);
        if (r0 == null || r0.LJI()) {
            return 2;
        }
        return onStartCommand;
    }
}
